org.eclipse.rdf4j.query.parser

## Class ParsedTupleQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.ParsedOperation
  - - org.eclipse.rdf4j.query.parser.ParsedQuery
    - - org.eclipse.rdf4j.query.parser.ParsedTupleQuery

- Direct Known Subclasses:
    ParsedTupleTemplate

      public class ParsedTupleQuery
      extends ParsedQuery

  A query formulated in the OpenRDF query algebra that produces a set of tuples as its result.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedTupleQuery()` Creates a new tuple query.
    `ParsedTupleQuery(String sourceString, TupleExpr tupleExpr)` Creates a new tuple query for the supplied tuple expression.
    `ParsedTupleQuery(TupleExpr tupleExpr)` Creates a new tuple query for the supplied tuple expression.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.ParsedQuery

      `getDataset, getTupleExpr, setDataset, setTupleExpr, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.ParsedOperation

      `getSourceString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedTupleQuery

          public ParsedTupleQuery()

      Creates a new tuple query. To complete this query, a tuple expression needs to be supplied to it using `ParsedQuery.setTupleExpr(TupleExpr)`.

    - #### ParsedTupleQuery

          public ParsedTupleQuery(TupleExpr tupleExpr)

      Creates a new tuple query for the supplied tuple expression.
      Parameters:
        `tupleExpr` - A tuple expression representing the query, formulated in OpenRDF Query Algebra objects.

    - #### ParsedTupleQuery

          public ParsedTupleQuery(String sourceString,
                                  TupleExpr tupleExpr)

      Creates a new tuple query for the supplied tuple expression.
      Parameters:
        `tupleExpr` - A tuple expression representing the query, formulated in OpenRDF Query Algebra objects.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.